Revoke Room File Permission
Revokes one explicit user grant from a restricted Room File.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Path Parameters
room_file_id*string
Stable Room File attachment ID.
Match
^rfl_[0-7][0-9A-HJKMNP-TV-Z]{25}$permission_id*string
Format
uuidHeader Parameters
SMB-Workspace-Id*string
Workspace where this operation runs. Required for user tokens and Workspace API keys.
Format
uuidIdempotency-Key*string
Length
8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/room-files/string/permissions/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{}'{ "permission": { "permission_id": "2793a5a1-5444-40bb-8094-97de834ce9e4", "room_file_id": "string", "user_id": "string", "email": "user@example.com", "access_level": "view", "status": "active", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string"}